SpiUtils (Mule ESB 2.2.1 API)
Keywords: org.mule.util.SpiUtils class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.util
Class SpiUtils

    java.lang.Object
      org.mule.util.SpiUtils

    public class SpiUtils

extends Object

Field Summary
`static String` | `EXCEPTION_SERVICE_PATH`
`static String` | `PROVIDER_SERVICE_PATH` Deprecated. use {@link #TRANSPORT_SERVICE_PATH
`static String` | `SERVICE_ROOT`
`static String` | `TRANSPORT_SERVICE_PATH`

Constructor Summary
`SpiUtils()`

Method Summary
`static Properties` | `findServiceDescriptor(String type, String name)`
`static Properties` | `findServiceDescriptor(String path, String name, Class currentClass)`
`static Properties` | `findServiceDescriptor(String path, String name, Class currentClass, boolean fallbackToNonPreferred)`
`protected static void` | `logTsdDeprecationWarning(String transport)` Log a deprecation warning when a Transport Service Descriptor was located in old location (META-INF/service/org/mule/providers).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SERVICE_ROOT

    public static final String SERVICE_ROOT

See Also:
  Constant Field Values

### PROVIDER_SERVICE_PATH

    @Deprecated
    public static final String PROVIDER_SERVICE_PATH

  Deprecated. use {@link #TRANSPORT_SERVICE_PATH
  See Also:
    Constant Field Values

### TRANSPORT_SERVICE_PATH

    public static final String TRANSPORT_SERVICE_PATH

See Also:
  Constant Field Values

### EXCEPTION_SERVICE_PATH

    public static final String EXCEPTION_SERVICE_PATH

See Also:
  Constant Field Values

Constructor Detail

### SpiUtils

    public SpiUtils()

Method Detail

### findServiceDescriptor

    public static Properties findServiceDescriptor(String type,
                                                   String name)

### findServiceDescriptor

    public static Properties findServiceDescriptor(String path,
                                                   String name,
                                                   Class currentClass)

### findServiceDescriptor

    public static Properties findServiceDescriptor(String path,
                                                   String name,
                                                   Class currentClass,
                                                   boolean fallbackToNonPreferred)

  Parameters:
    `fallbackToNonPreferred` - whether the search should attempt the preferred-xxx.properties lookup

### logTsdDeprecationWarning

    protected static void logTsdDeprecationWarning(String transport)

  Log a deprecation warning when a Transport Service Descriptor was located in old location (META-INF/service/org/mule/providers).

  Parameters:
    `transport` - - transport name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.